#include <stdint.h>

#include "Player.h"
#include "Enemy.h"
#include "EnemyDuringBattle.h"

#include <vector>
using namespace std;

EnemyDuringBattle :: EnemyDuringBattle ()
{
}

EnemyDuringBattle :: ~EnemyDuringBattle ()
{
}

void EnemyDuringBattle :: initialize (Enemy & pp)
{
  status.resize (AILMENT_TOTAL);
  status.assign (AILMENT_TOTAL, 0);

  //copy health from Enemy
  currentHealth = pp.getHealth ();

  //get other stats based on the enemyID.
}

uint8_t EnemyDuringBattle :: getCurrentHealth ()
{
  return currentHealth;
}

void EnemyDuringBattle :: setCurrentHealth (uint8_t x)
{
  currentHealth = x;
}

void EnemyDuringBattle :: loseCurrentHealth (uint8_t x)
{
  if (x >= currentHealth)
    currentHealth = 0;
  else
    currentHealth -= x;
}

bool EnemyDuringBattle :: isDead ()
{
  if (currentHealth == 0)
    return true;
  return false;
}
